close all;
clear all;
clc;

fc=500;     %Frequenza di campionamento
Tf=10;      %Durata della simulazione
Tc=1/fc;    %Periodo di Campinamento
nS=Tf*fc;   %Numero di campioni della simulazione

x0=3.12;       %Condizioni Iniziali
xp0=0;

sim('pendolo_sim',Tf);  

%PLOTTAGGIO DI x(t)
figure
t=Tc*(0:nS);                                    %Creazione vettore Tempo
plot(t,x(:,2));                                 %Plottaggio di x(t)
axis([0 Tf min(x(:,2))*1.1 max(x(:,2))*1.1]);

%SPAZIO DELLE FASI
figure
plot(x(:,2),xp(:,2));

figure

for i=1:9
    x0=20/180*pi*i;
    xp0=0.1;
    sim('pendolo_sim',Tf);
    plot(x(:,2),xp(:,2));
    hold on
    grid
    axis([-4 8 -15 15])
end